summaryrefslogtreecommitdiff
path: root/pkg/build_bundle_with_venv.sh
diff options
context:
space:
mode:
authorKali Kaneko (leap communications) <kali@leap.se>2017-03-06 18:01:34 +0100
committerKali Kaneko (leap communications) <kali@leap.se>2017-03-13 19:32:21 +0100
commitf25d9eda257dff56ccac1f3eecdb2e3425e1d62b (patch)
tree5aa750cb84c07dc769ac12b7c02f5bec1251e8e7 /pkg/build_bundle_with_venv.sh
parent7f0ff6a52119a423c1539c2122318b767eddf220 (diff)
[pkg] stop building the bundle if some step fails
Diffstat (limited to 'pkg/build_bundle_with_venv.sh')
-rwxr-xr-xpkg/build_bundle_with_venv.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/pkg/build_bundle_with_venv.sh b/pkg/build_bundle_with_venv.sh
index bab8af6e..cf81c311 100755
--- a/pkg/build_bundle_with_venv.sh
+++ b/pkg/build_bundle_with_venv.sh
@@ -4,6 +4,8 @@
# To be run by Gitlab Runner,
# will produce an artifact for each build.
###########################################################
+# Stop bundling in case of errors
+set -e
virtualenv venv
source venv/bin/activate
$VIRTUAL_ENV/bin/pip install appdirs packaging
@@ -14,11 +16,10 @@ $VIRTUAL_ENV/bin/pip install zope.interface zope.proxy
# fix for #8789
$VIRTUAL_ENV/bin/pip --no-cache-dir install pysqlcipher --install-option="--bundled"
# FIXME pixelated needs some thingd but doesn't declare it
-# FIXME persuade pixelated to stop using requests in favor of treq
$VIRTUAL_ENV/bin/pip install chardet whoosh
+# FIXME persuade pixelated to stop using requests in favor of treq
$VIRTUAL_ENV/bin/pip install requests==2.11.1
-
# For the Bitmask 0.9.5 bundles.
$VIRTUAL_ENV/bin/pip install -U leap.soledad.common==0.9.3
$VIRTUAL_ENV/bin/pip install -U leap.soledad.client==0.9.3